## TomoeRecognizer

TomoeRecognizer — An abstract recognizer object

## Synopsis

                        TomoeRecognizer;
    void                tomoe_recognizer_init               (void);
    void                tomoe_recognizer_quit               (void);
    const gchar*        tomoe_recognizer_get_default_module_dir
                                                            (void);
    void                tomoe_recognizer_set_default_module_dir
                                                            (const gchar *dir);
    void                tomoe_recognizer_load               (const gchar *base_dir);
    TomoeModule*        tomoe_recognizer_load_module        (const gchar *name);
    void                tomoe_recognizer_unload             (void);
    GList*              tomoe_recognizer_get_registered_types
                                                            (void);
    GList*              tomoe_recognizer_get_log_domains    (void);
    TomoeRecognizer*    tomoe_recognizer_new                (const gchar *name,
                                                             const gchar *first_property,
                                                             ...);
    GList*              tomoe_recognizer_search             (TomoeRecognizer *recognizer,
                                                             TomoeWriting *input);
    const gchar*        tomoe_recognizer_get_language       (TomoeRecognizer *recognizer);
    gboolean            tomoe_recognizer_is_available       (TomoeRecognizer *recognizer);

## Object Hierarchy

      GObject
       +----TomoeRecognizer

## Properties

      "language"                 gchararray            : Read / Write / Construct Only

## Description

## Details

### TomoeRecognizer

    typedef struct _TomoeRecognizer TomoeRecognizer;

The TomoeRecognizer struct contains only private fields and should not be directly accessed.

### tomoe_recognizer_init ()

    void                tomoe_recognizer_init               (void);

### tomoe_recognizer_quit ()

    void                tomoe_recognizer_quit               (void);

### tomoe_recognizer_get_default_module_dir ()

    const gchar*        tomoe_recognizer_get_default_module_dir
                                                            (void);

Returns : |

### tomoe_recognizer_set_default_module_dir ()

    void                tomoe_recognizer_set_default_module_dir
                                                            (const gchar *dir);

`dir` : |

### tomoe_recognizer_load ()

    void                tomoe_recognizer_load               (const gchar *base_dir);

`base_dir` : |

### tomoe_recognizer_load_module ()

    TomoeModule*        tomoe_recognizer_load_module        (const gchar *name);

`name` : |
Returns : |

### tomoe_recognizer_unload ()

    void                tomoe_recognizer_unload             (void);

### tomoe_recognizer_get_registered_types ()

    GList*              tomoe_recognizer_get_registered_types
                                                            (void);

Returns : |

### tomoe_recognizer_get_log_domains ()

    GList*              tomoe_recognizer_get_log_domains    (void);

Returns : |

### tomoe_recognizer_new ()

    TomoeRecognizer*    tomoe_recognizer_new                (const gchar *name,
                                                             const gchar *first_property,
                                                             ...);

Create a new TomoeRecognizer.

`name` : | The name of recognizer type.
`first_property` : | the name of the first property.
`...` : | the value of the first property, followed optionally by more name/value pairs, followed by NULL
Returns : | a new TomoeRecognizer.

### tomoe_recognizer_search ()

    GList*              tomoe_recognizer_search             (TomoeRecognizer *recognizer,
                                                             TomoeWriting *input);

Match strokes of TomoeChar with TomoeWriting.

`recognizer` : | a TomoeRecognizer object.
`input` : | a TomoeWriting object for matching.
Returns : | A newly-allocated list of TomoeCandidate. The each TomoeCandidate should be also freed with g_object_unref.

### tomoe_recognizer_get_language ()

    const gchar*        tomoe_recognizer_get_language       (TomoeRecognizer *recognizer);

`recognizer` : |
Returns : |

### tomoe_recognizer_is_available ()

    gboolean            tomoe_recognizer_is_available       (TomoeRecognizer *recognizer);

`recognizer` : | a TomoeRecognizer object.
Returns : | `TRUE` if the recognizer is available, `FALSE` otherwise.

## Property Details

### The "`language`" property

      "language"                 gchararray            : Read / Write / Construct Only

The language of the recognizer.

Default value: NULL